gnutls_pubkey_import_ecc_x962(3)

NAME
gnutls_pubkey_import_ecc_x962 - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_pubkey_import_ecc_x962(gnutls_pubkey_t key, const gnutls_datum_t * parameters, const gnutls_datum_t * ecpoint);

ARGUMENTS

gnutls_pubkey_t key
    The structure to store the parsed key

const gnutls_datum_t * parameters
    DER encoding of an ANSI X9.62 parameters

const gnutls_datum_t * ecpoint
    DER encoding of ANSI X9.62 ECPoint

DESCRIPTION
This function will convert the given elliptic curve parameters to a gnutls_pubkey_t. The output will be stored in key .

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2012 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/